#!/bin/bash

# autor: Mikaell Araujo
# email: mikaell.araujo@cnj.jus.br (dúvidas podem ser encaminhadas a este e-mail)

# Torne o arquivo executavel atravès do comando abaixo:
# chmod +x script-atualizacao.sh
# Agora execute o comando abaixo substituindo cada variável pelos valores da sua insituição
# ./script-atualizacao.sh latest [usuariodobanco] [senhadobanco] [enderecodobanco] [portadobanco] [banco] 

# +++++++++++++++++++++++++++++++++++++++++++++++++++++++
# - VARIAVEIS NECESSARIAS A EXECUÇAÕ DO SCRIPT - INICIO
# - Apenas estas variáveis devem ser alteradas 
DBUSUARIO="usuariopje"
DBSENHA="senhapje"
DBENDERECO="host do pje"
DBPORTA="5432"
DBBANCO="banco" 
# -
# - VARIAVEIS NECESSARIAS A EXECUÇAÕ DO SCRIPT - FIM
# ++++++++++++++++++++++++++++++++++++++++++++++++++++++++

CVPATH="http://conversor.sinapses:8080/rest"
IMAGEM="registry.cnj.jus.br/ia/extrator-tipo-movimento-magistrado"

#LIMITE DE EXEMPLOS: Se -1 traz tudo, se em branco 3000
CONTAINER_LIMITE_EXEMPLOS=""

echo "----------------------------------------------------"
echo "Imagem: $IMAGEM"
echo "----------------------------------------------------"


docker login registry.cnj.jus.br


rm docker-compose.yml
rm configuracao.yml


cp docker-compose.yml.tpl docker-compose.yml
cp configuracao.yml.tpl configuracao.yml

sed -i s,#CONTAINER_IMG,$IMAGEM,g docker-compose.yml
sed -i s,#CONTAINER_USUARIO,$DBUSUARIO,g configuracao.yml
sed -i s,#CONTAINER_SENHA,$DBSENHA,g configuracao.yml
sed -i s,#CONTAINER_ENDERECO,$DBENDERECO,g configuracao.yml
sed -i s,#CONTAINER_PORTA,$DBPORTA,g configuracao.yml
sed -i s,#CONTAINER_BANCO,$DBBANCO,g configuracao.yml
sed -i s,#CV_PATH,$CVPATH,g configuracao.yml
sed -i s,#CONTAINER_LIMITE_EXEMPLOS,$CONTAINER_LIMITE_EXEMPLOS,g configuracao.yml



docker-compose up -d


echo " ################################################# "
echo " ################################################# "
echo " ########## Imagem criada com sucesso  ########### "
echo " ----- "
echo " ------- Agora aguarde finalizar o processamento, você pode acomphar através dos logs do container, com o comando:"
echo "         #docker logs -f idcontainer"
